Announcement

Collapse
No announcement yet.

The version of this file is not compatible with the version of windows you're running

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • The version of this file is not compatible with the version of windows you're running

    Hi all,

    One of our customer reported an error message what I've never seen before.

    "This version of this file is not compatible with the version of Windows you're running. Check your computer's system information to see whether you need an x86 (32-bit) or x64 (64-bit) version of the program."

    This message appears if a 32-bit setup.exe started. The system is installed with Windows 7 Enterprise x64 (physical).

    Has anybody heard about this issue?


    Used version: Setup Factory 9.1.0.0

  • #2
    Is it possible that the support for Wow64 was somehow disabled or uninstalled? Also, could it be that the file is corrupted? If it was digitally signed, the signature should show as intact.

    Ulrich

    Comment


    • #3
      It was not known to me that it's possible to turn off the wow64 feature in Windows 7.
      My guess is in the direction that the file is corrupted. I'll verify the file with MD5 hash...

      Thank you!

      Comment


      • #4
        I found mentions on MSDN that Wow64 was optional for some Windows 2008 Server installations. I don't have Windows 7 Enterprise, but it could be possible that this newer OS version inherited the feature. This is only a guess, and I could be wrong.

        Ulrich

        Comment

        Working...
        X